Loading...
Searching...
No Matches
resout2d.c File Reference
`#include <stdio.h>`
`#include <math.h>`
`#include <errno.h>`
`#include <grass/gis.h>`
`#include <grass/raster.h>`
`#include <grass/bitmap.h>`
`#include <grass/linkm.h>`
`#include <grass/interpf.h>`
`#include <grass/glocale.h>`
Include dependency graph for resout2d.c:

Go to the source code of this file.

## Macros

#define | MULT 100000

## Functions

int | IL_resample_output_2d (struct interp_params *params, double zmin, double zmax, double zminac, double zmaxac, double c1min, double c1max, double c2min, double c2max, double gmin, double gmax, double ertot, char *input, double *dnorm, struct Cell_head *outhd, struct Cell_head *winhd, char *smooth, int n_points)

## Macro Definition Documentation

## MULT

#define MULT 100000

Definition at line 13 of file resout2d.c.

## Function Documentation

## IL_resample_output_2d()

int IL_resample_output_2d | ( | struct interp_params * | params,
|  | double | zmin,
|  | double | zmax,
|  | double | zminac,
|  | double | zmaxac,
|  | double | c1min,
|  | double | c1max,
|  | double | c2min,
|  | double | c2max,
|  | double | gmin,
|  | double | gmax,
|  | double | ertot,
|  | char * | input,
|  | double * | dnorm,
|  | struct Cell_head * | outhd,
|  | struct Cell_head * | winhd,
|  | char * | smooth,
|  | int | n_points )

Definition at line 45 of file resout2d.c.

References amax1(), amin1(), interp_params::aspect, interp_params::deriv, interp_params::elev, interp_params::fi, G_fatal_error(), G_find_file(), G_find_file2(), G_mapset(), G_verbose_message(), G_warning(), interp_params::kmax, interp_params::kmin, interp_params::mcurv, MULT, interp_params::nsizc, interp_params::nsizr, NULL, interp_params::pcurv, interp_params::slope, interp_params::tcurv, interp_params::Tmp_fd_dx, interp_params::Tmp_fd_dy, interp_params::Tmp_fd_xx, interp_params::Tmp_fd_xy, interp_params::Tmp_fd_yy, interp_params::Tmp_fd_z, and interp_params::zmult.